gic_head(3)

NAME
gic_head : Group multiple contexts

SYNOPSIS
#include <ggi/gic_structs.h>
typedef struct gic_head {
      char name[65];                  /* name of the context */
      gic_contextlist *contexts;      /* lists of attached contexts */
} gic_head;

DESCRIPTION
This is a convenience structure that can be used to group contexts. There are some convenience functions that will load/restore complete heads allowing to save configuration with a single call.

name
    The name of the context

contexts
    lists of attached contexts

SEE ALSO
gicHeadRead(3), gic_context(3)